Groovy Documentation

## org.codehaus.groovy.util
[Java] Class ManagedConcurrentMap

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase
          org.codehaus.groovy.util.AbstractConcurrentMap
              org.codehaus.groovy.util.ManagedConcurrentMap

    public class ManagedConcurrentMap
    extends AbstractConcurrentMap

Nested Class Summary
`static class` | `ManagedConcurrentMap.Entry`
`static class` | `ManagedConcurrentMap.EntryWithValue`
`static class` | `ManagedConcurrentMap.Segment`

Field Summary
`protected ReferenceBundle` | `bundle`

Fields inherited from class AbstractConcurrentMapBase
MAXIMUM_CAPACITY, segments

Constructor Summary
`ManagedConcurrentMap(ReferenceBundle bundle)`

Method Summary
`protected ManagedConcurrentMap.Segment` | `createSegment(java.lang.Object segmentInfo, int cap)`

Methods inherited from class AbstractConcurrentMap
get, getOrPut, put, remove, segmentFor

Methods inherited from class AbstractConcurrentMapBase
createSegment, fullSize, hash, segmentFor, size, values

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### bundle

    protected ReferenceBundle bundle

Constructor Detail

### ManagedConcurrentMap

    public ManagedConcurrentMap(ReferenceBundle bundle)

Method Detail

### createSegment

    protected ManagedConcurrentMap.Segment createSegment(java.lang.Object segmentInfo, int cap)

Groovy Documentation